package main

import (
	"fmt"
	"maps"
)

func main() {
	// section: example
	map1 := map[string]int{
		"Alice": 25,
		"Bob":   30,
	}

	map2 := map[string]int{
		"Bob":   30,
		"Alice": 25,
	}

	map3 := map[string]int{
		"Alice": 25,
		"Bob":   31, // Different value
	}

	fmt.Println("map1 == map2:", maps.Equal(map1, map2))
	fmt.Println("map1 == map3:", maps.Equal(map1, map3))
	// section: example
}
